[Moin-user] Upgrading from 1.8.1 to 1.9.8

Karl Auer kauer at biplane.com.au
Sun Apr 3 02:24:55 EDT 2016


I think I need a clue.

I have, on an ancient machine, a fully functional 1.8.1 (cgi) install.
The system is running Ubuntu 7.4, so I'm not sure whether it can
reasonably be taught to do WSGI. In any case I would really rather
leave it alone. The main reason for upgrading is that the old system is
very fragile.

My goal is to have, on a completely different system, a fully
functional 1.9.8 install, with all the accounts and data from my old
1.8.1 system.

The upgrade notes all seem to be about installing 1.9.8 over 1.8.1 -
i.e., on the same system.

At the moment, I've gotten as far as installing a clean 1.9.8
successfully on a virtual. How do I "pour" the data and accounts into
the new setup? Is it even possible?

The 1.8.1 system has these directories:
  ls /usr/local/moin/share/moin
  config  data  htdocs  server  underlay

The 1.9.8 system has these directories:
   ls /usr/local/share/moin
   config  moin.wsgi   server          wikiconfig.py
   data    underlay    wikiconfig.pyc

Is it as simple as replacing the new config, data, server and underlay
directories with the old ones?

Yours in hope, K.

PS: For those of you feeling a slight sense of deja vu, it might be
because I tried to make a start on this about a year ago but did not
follow through.

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Karl Auer (kauer at biplane.com.au)
http://www.biplane.com.au/kauer
http://twitter.com/kauer389

GPG fingerprint: E00D 64ED 9C6A 8605 21E0 0ED0 EE64 2BEE CBCB C38B
Old fingerprint: 3C41 82BE A9E7 99A1 B931 5AE7 7638 0147 2C3C 2AC4







More information about the Moin-user mailing list